gnutls security update

2013-03-04T22:46:23
ID CESA-2013:0588
Type centos
Reporter CentOS Project
Modified 2013-03-09T00:44:56

Description

CentOS Errata and Security Advisory CESA-2013:0588

The GnuTLS library provides support for cryptographic algorithms and for protocols such as Transport Layer Security (TLS).

It was discovered that GnuTLS leaked timing information when decrypting TLS/SSL protocol encrypted records when CBC-mode cipher suites were used. A remote attacker could possibly use this flaw to retrieve plain text from the encrypted packets by using a TLS/SSL server as a padding oracle. (CVE-2013-1619)

Users of GnuTLS are advised to upgrade to these updated packages, which contain a backported patch to correct this issue. For the update to take effect, all applications linked to the GnuTLS library must be restarted, or the system rebooted.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2013-March/031300.html http://lists.centos.org/pipermail/centos-announce/2013-March/031658.html http://lists.centos.org/pipermail/centos-cr-announce/2013-March/007017.html

Affected packages: gnutls gnutls-devel gnutls-guile gnutls-utils

Upstream details at: https://rhn.redhat.com/errata/RHSA-2013-0588.html